test:
  path:     /test
  controller: App\Controller\TestController::testAction
homepage:
  path:     /
  controller: App\Controller\DashboardController::indexAction
login:
  path:     /login
  controller: App\Controller\SecurityController::loginAction
logout:
  path:     /logout
  controller: App\Controller\SecurityController::logoutAction

analytics:
  path: /analytics
  controller: App\Controller\AnalyticsController::analyticsAction
analytics-compiler:
  path: /analytics/compile
  controller: App\Controller\AnalyticsController::compileAction
autopromotes:
  path: /autopromotes
  controller: App\Controller\AutopromoteController::listAutopromotesAction
autopromote-add:
  path: /autopromotes/add
  controller: App\Controller\AutopromoteController::addAutopromoteAction
autopromote-edit:
  path: /autopromotes/edit
  controller: App\Controller\AutopromoteController::editAutopromoteAction
autopromote-delete:
  path: /autopromotes/delete
  controller: App\Controller\AutopromoteController::deleteAutopromoteAction
autopromote-ajax-get-analyzers:
  path: /autopromotes/ajax/get-analyzers
  controller: App\Controller\AutopromoteController::getAnalyzersAction
backups:
  path: /backups
  controller: App\Controller\DashboardController::indexAction
backups_create_repo:
  path: /backups/create-repo
  controller: App\Controller\DashboardController::indexAction
backups_edit_repo:
  path: /backups/edit-repo/{name}
  controller: App\Controller\DashboardController::indexAction
backups_delete_repo:
  path: /backups/delete-repo/{name}
  controller: App\Controller\DashboardController::indexAction
backups_delete_snapshot:
  path: /backups/delete-snapshot/{repoName}/{name}
  controller: App\Controller\DashboardController::indexAction
backups_create_snapshot:
  path: /backups/snapshot/create
  controller: App\Controller\DashboardController::indexAction
backups_restore_snapshot:
  path: /backups/snapshot/restore/{repoName}/{name}
  controller: App\Controller\DashboardController::indexAction
boost-queries:
  path: /boost-queries
  controller: App\Controller\BoostQueryController::listBoostQueriesAction
boost-query-add:
  path: /boost-queries/add
  controller: App\Controller\BoostQueryController::addBoostQueryAction
boost-query-edit:
  path: /boost-queries/edit
  controller: App\Controller\BoostQueryController::editBoostQueryAction
boost-query-delete:
  path: /boost-queries/delete
  controller: App\Controller\BoostQueryController::deleteBoostQueryAction
console:
  path: /console
  controller: App\Controller\ConsoleController::consoleAction
console-save:
  path: /console/save
  controller: App\Controller\ConsoleController::saveQueryAction
console-load:
  path: /console/load
  controller: App\Controller\ConsoleController::loadQueryAction
console-delete:
  path: /console/delete
  controller: App\Controller\ConsoleController::deleteQueryAction
datasources:
  path: /datasources
  controller: App\Controller\DatasourceController::listDatasourcesAction
datasources_ajaxlist:
  path: /datasources/ajaxlist
  controller: App\Controller\DatasourceController::ajaxListDatasourcesAction
datasource-add:
  path: /datasources/add
  controller: App\Controller\DatasourceController::addOrEditDatasourceAction
datasource-edit:
  path: /datasources/edit
  controller: App\Controller\DatasourceController::addOrEditDatasourceAction
datasource-delete:
  path: /datasources/delete
  controller: App\Controller\DatasourceController::deleteDatasourceAction
datasource-kill:
  path: /datasources/kill
  controller: App\Controller\DatasourceController::killDatasourceAction
datasource-exec:
  path: /datasources/exec
  controller: App\Controller\DatasourceController::executeDatasourceAction
datasource-get-output:
  path: /datasources/output
  controller: App\Controller\DatasourceController::getDatasourceOutputAction
drupal-ctexport:
  path: /drupal/ctexport
  controller: App\Controller\DrupalCtExportController::indexAction
  methods: [PUT, DELETE]
get_edit_record_form:
  path: /get-edit-record-form
  controller: App\Controller\EditionController::getEditRecordFormAction
edit_record:
  path: /edit-record
  controller: App\Controller\EditionController::editRecordAction
groups:
  path: /groups
  controller: App\Controller\AdminController::listGroupsAction
group-add:
  path: /groups/add
  controller: App\Controller\AdminController::addGroupAction
group-edit:
  path: /groups/edit
  controller: App\Controller\AdminController::editGroupAction
group-delete:
  path: /groups/delete
  controller: App\Controller\AdminController::deleteGroupAction
indexes:
  path: /indexes
  controller: App\Controller\IndexController::listIndexesAction
index-add:
  path: /indexes/add
  controller: App\Controller\IndexController::addIndexAction
index-edit:
  path: /indexes/edit
  controller: App\Controller\IndexController::editIndexAction
index-delete:
  path: /indexes/delete
  controller: App\Controller\IndexController::deleteIndexAction
index-edit-mapping:
  path: /indexes/edit-mapping
  controller: App\Controller\IndexController::editMappingAction
index-add-mapping:
  path: /indexes/add-mapping
  controller: App\Controller\IndexController::addMappingAction
index-mapping-stat:
  path: /indexes/mapping-stat/{index_name}/{mapping_name}
  controller: App\Controller\IndexController::mappingStatAction
synonyms-list:
  path: /indexes/synonyms
  controller: App\Controller\IndexController::listSynonymsDictionariesAction
synonyms-add:
  path: /indexes/synonyms/add
  controller: App\Controller\IndexController::addOrEditSynonymsDictionariesAction
synonyms-edit:
  path: /indexes/synonyms/edit/{fileName}
  controller: App\Controller\IndexController::addOrEditSynonymsDictionariesAction
synonyms-delete:
  path: /indexes/synonyms/delete/{fileName}
  controller: App\Controller\IndexController::deleteSynonymsDictionariesAction
js_search_api:
  path: /searchapi/searchapi.js
  controller: App\Controller\DashboardController::indexAction
js_search_api_service:
  path: /searchapi/service
  controller: App\Controller\DashboardController::indexAction
matching-lists:
  path: /matching-list
  controller: App\Controller\MatchingListController::listMatchingListsAction
matching-list-add:
  path: /matching-list/add
  controller: App\Controller\MatchingListController::addMatchingListAction
matching-list-edit:
  path: /matching-list/edit
  controller: App\Controller\MatchingListController::editMatchingListAction
matching-list-delete:
  path: /matching-lists/delete
  controller: App\Controller\MatchingListController::deleteMatchingListAction
matching-import-file:
  path: /matching-list/import-file
  controller: App\Controller\MatchingListController::importMatchingListFileAction
matching-export:
  path: /matching-list/export
  controller: App\Controller\MatchingListController::exportMatchingListFileAction
matching-init-from-index:
  path: /matching-list/init-from-index
  controller: App\Controller\MatchingListController::initMatchingListFromIndexAction
parameters:
  path: /parameters
  controller: App\Controller\ParameterController::listParametersAction
parameter-add:
  path: /parameters/add
  controller: App\Controller\ParameterController::addParameterAction
parameter-edit:
  path: /parameters/edit
  controller: App\Controller\ParameterController::editParameterAction
parameter-delete:
  path: /parameters/delete
  controller: App\Controller\ParameterController::deleteParameterAction
processors:
  path: /processors
  controller: App\Controller\ProcessorController::listProcessorsAction
processor-add:
  path: /processors/add
  controller: App\Controller\ProcessorController::addProcessorAction
processor-edit:
  path: /processors/edit
  controller: App\Controller\ProcessorController::editProcessorAction
processor-delete:
  path: /processor/delete
  controller: App\Controller\ProcessorController::deleteProcessorAction
get-settings-form:
  path: /processors/get-settings-form
  controller: App\Controller\ProcessorController::getSettingsFormAction
processor-export:
  path: /processors/export
  controller: App\Controller\ProcessorController::exportProcessorAction
processor-import:
  path: /processors/import
  controller: App\Controller\ProcessorController::importProcessorAction
reco-js:
  path: /reco/reco.js
  controller: App\Controller\DashboardController::indexAction
reco-report:
  path: /reco/report
  controller: App\Controller\DashboardController::indexAction
reco-get:
  path: /reco/get
  controller: App\Controller\DashboardController::indexAction
api-update:
  path: /api/update
  controller: App\Controller\RestController::updateAction
api-sp-def:
  path: /api/sp-definition/{id}
  controller: App\Controller\RestController::getSearchPageAction
search-api-v2:
  path: /search-api/v2
  controller: App\Controller\SearchAPIController::searchAPIV2Action
search-api-mor-like-this:
  path: /search-api/v2/more-like-this
  controller: App\Controller\SearchAPIController::seeMoreLikeThisAction
search-api-autocomplete:
  path: /search-api/v2/autocomplete
  controller: App\Controller\SearchAPIController::autocompleteAction
search-api-v2-custom:
  path: /search-api/v2/custom
  controller: App\Controller\SearchAPIController::customSearchAction
search-pages:
  path: /search-pages
  controller: App\Controller\SearchPageController::listSearchPagesAction
search-page-add:
  path: /search-pages/add
  controller: App\Controller\SearchPageController::addSearchPageAction
search-page-edit:
  path: /search-pages/edit
  controller: App\Controller\SearchPageController::editSearchPageAction
search-page-delete:
  path: /search-pages/delete
  controller: App\Controller\SearchPageController::deleteSearchPageAction
search-page-list-fields:
  path: /search-pages/fields/{mapping}
  controller: App\Controller\SearchPageController::getMappingFields
show-logs:
  path: /logs
  controller: /api/update
search-page-display:
  path: /search-pages/search/{id}
  controller: App\Controller\SearchPageController::displaySearchPageAction
more-like-this-display:
  path: /search-pages/more-like-this/{searchPageId}/{docId}/{type}
  controller: /api/update
users:
  path: /users
  controller: App\Controller\AdminController::listUsersAction
user-add:
  path: /users/add
  controller: App\Controller\AdminController::addUserAction
user-edit:
  path: /users/edit
  controller: App\Controller\AdminController::editUserAction
user-delete:
  path: /users/delete
  controller: App\Controller\AdminController::deleteUserAction
webcrawler-response:
  path: /webcrawler-response
  controller: App\Controller\DatasourceController::webCrawlerResponseAction
webcrawler-test:
  path: /webcrawler/test/{id}
  controller: /api/update


search_client_homepage:
  path: /search-client/search
  controller: AdimeoDataSuite\SearchClientBundle\Controller\SearchController::searchAction
search_client_mlt:
  path: /search-client/mlt
  controller: AdimeoDataSuite\SearchClientBundle\Controller\SearchController::moreLikeThisAction